%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?pyver: %global pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

%global modname fedora-motd
%global commit0 9645c5abeee2b3333ad7e63db3b1f8609340424e
%global gittag0 GIT-TAG
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})


Name:           fedora-motd
Version:        0.1.2
Release:        6%{?dist}
Summary:        Fedora MOTD
Group:          Applications/Internet
License:        GPLv3
URL:            http://github.com/rtnpro/fedora-motd
Source0:        https://github.com/rtnpro/%{name}/archive/%{commit0}.tar.gz#/%{name}-%{shortcommit0}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

Requires:       setup
Requires:       pam
Requires:       crontabs


%description
Generate dynamic MOTD: Message of the day, for Fedora

%prep
%setup -q -n %{name}-%{commit0}

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build \
    --install-data=%{_datadir} --root %{buildroot}

%files
%doc README.md
%license LICENSE
%{python_sitelib}/dnf-plugins/cache_updateinfo.py*
%{python_sitelib}/motdgen-%{version}-py%{pyver}.egg-info/
%{_sysconfdir}/cron.daily/motdgen-cache-updateinfo
%{_sysconfdir}/pam.d/motdgen
%{_sysconfdir}/motdgen.d
%{_sysconfdir}/profile.d/motdgen.sh
%{_bindir}/motdgen
%{_bindir}/motdgen-cache-updateinfo



%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 03 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.1.2-5
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Apr 14 2016 Ratnadeep Debnath <rtnpro@gmail.com> - 0.1.2-1
- Fix detecting rpm-ostree based system
- Don't use predicatable name in /tmp
- Cache updateinfo in background on first login post fedora-motd installation
- Don't wait for background jobs to complete in motdgen scripts

* Thu Mar 10 2016 Ratnadeep Debnath <rtnpro@gmail.com> - 0.1.1-1
- Bugfix: Fix script name for caching updateinfo in dnf plugin.

* Tue Feb 9 2016 Ratnadeep Debnath <rtnpro@gmail.com> - 0.1-1
- Initial packaging.
